Measure current usage of pywikibot-compat vs pywikibot-core
Closed, DeclinedPublic

Description

For the compat deprecation discussion T99365, we'd like to have some statistics about usage. We'd be interested in:

  • compat vs core. This can be recognised from the user agent.
    • compat: replace.py/r1234 Pywikipediabot/1.0
    • core: (wikipedia:en; User:Valhallasw) Pywikibot/2.0b3 (g5524) httplib2/0.9 Python/2.7.6.final.0
  • can we distinguish read and write?
  • if possible, a breakdown per project (wikipedia/wikisource/wiktionary/etc + wikidata/commons)
  • would it be possible to filter by unique bots if this information is not in the user agent?
valhallasw updated the task description. (Show Details)
valhallasw raised the priority of this task from to Needs Triage.
valhallasw added subscribers: Multichill, Yurik.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 16 2015, 7:13 PM
XZise updated the task description. (Show Details)May 16 2015, 7:15 PM
XZise set Security to None.
jayvdb triaged this task as High priority.Jun 9 2015, 5:32 AM
jayvdb added a subscriber: jayvdb.
jayvdb raised the priority of this task from High to Unbreak Now!.Jun 19 2015, 12:53 PM

With the July 1 API breakage about to happen, we really need some stats to see how critical it is to work on keeping compat alive (T101524) / educating users / fixing critical blockers in core.

It would be very helpful to know which scripts are being used , e.g. replace.py in the user-agent. replace.py is available and fully-functional in core. However, interwiki.py in core isnt working well, and is still needed for non-Wikidata projects like wiktionary. If we can find out what people are using compat for, we can work on those scripts in core.

Xqt added a comment.Jun 19 2015, 1:17 PM

Maybe the breakage could be avoided but statistics are helpfull for developers to know which scripts are important and which aren't used. E.g. maybe featured.py could be archived. And I personally didn't recognized that interwiki.py is still used. So I agree with jayvdb to find out, which scripts are used in compat. But These datas are also usefull for core.

With the July 1 API breakage about to happen,

This has been "Unbreak now" priority for more than two weeks but has no assignee. Any updates? Or is this actually only high priority?

jayvdb lowered the priority of this task from Unbreak Now! to High.Jul 7 2015, 1:08 AM

With the July 1 API breakage about to happen,

This has been "Unbreak now" priority for more than two weeks but has no assignee. Any updates? Or is this actually only high priority?

Apparently the good will ended at Lyon.
Perhaps we need to add our own analytics to compat & core ; i.e. pinging a tool labs web-app during startup to log the basic usage information contained in the user-agent.

Perhaps we need to add our own analytics to compat & core ; i.e. pinging a tool labs web-app during startup to log the basic usage information contained in the user-agent.

This would need consent from WMF-Legal, wouldn't it?

jayvdb added a comment.Jul 7 2015, 1:24 AM

Perhaps we need to add our own analytics to compat & core ; i.e. pinging a tool labs web-app during startup to log the basic usage information contained in the user-agent.

This would need consent from WMF-Legal, wouldn't it?

Well, we would need to ask the user if they are happy to ping the logging server, and give the user an alternative way of informing us, such as updating the RFC on mediawiki.org.

I discussed this with @Anomie and @bd808 last night, we can use a hook in the API to add some logging in mw-config,

Did this happen?

Xqt closed this task as Declined.Jun 30 2017, 12:45 PM

compat branch is already closed